org.apache.cassandra.db.marshal

## Class LexicalUUIDType

- java.lang.Object
- - org.apache.cassandra.db.marshal.AbstractType<java.util.UUID>
  - - org.apache.cassandra.db.marshal.LexicalUUIDType

- All Implemented Interfaces:
    java.util.Comparator<java.nio.ByteBuffer>

      public class LexicalUUIDType
      extends AbstractType<java.util.UUID>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LexicalUUIDType` | `instance`

    - ### Fields inherited from class org.apache.cassandra.db.marshal.AbstractType

      `reverseComparator`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(java.nio.ByteBuffer o1, java.nio.ByteBuffer o2)`
    `Term` | `fromJSONObject(java.lang.Object parsed)` Given a parsed JSON string, return a byte representation of the object.
    `java.nio.ByteBuffer` | `fromString(java.lang.String source)` get a byte representation of the given string.
    `TypeSerializer<java.util.UUID>` | `getSerializer()`
    `boolean` | `isEmptyValueMeaningless()` Returns `true` for types where empty should be handled like `null` like `Int32Type`.

    - ### Methods inherited from class org.apache.cassandra.db.marshal.AbstractType

      `asCQL3Type, asCQLTypeStringList, compareCollectionMembers, componentsCount, compose, decompose, freeze, getComponents, getString, getString, isByteOrderComparable, isCollection, isCompatibleWith, isCounter, isFrozenCollection, isMultiCell, isReversed, isValueCompatibleWith, isValueCompatibleWithInternal, parseDefaultParameters, references, toJSONString, toString, toString, validate, validateCellValue, validateCollectionMember`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Field Detail

    - #### instance

          public static final LexicalUUIDType instance

  - ### Method Detail

    - #### isEmptyValueMeaningless

          public boolean isEmptyValueMeaningless()

      Description copied from class: `AbstractType`
      Returns `true` for types where empty should be handled like `null` like `Int32Type`.
      Overrides:
        `isEmptyValueMeaningless` in class `AbstractType<java.util.UUID>`

    - #### compare

          public int compare(java.nio.ByteBuffer o1,
                             java.nio.ByteBuffer o2)

    - #### fromString

          public java.nio.ByteBuffer fromString(java.lang.String source)
                                         throws MarshalException

      Description copied from class: `AbstractType`
      get a byte representation of the given string.
      Specified by:
        `fromString` in class `AbstractType<java.util.UUID>`
      Throws:
        `MarshalException`

    - #### fromJSONObject

          public Term fromJSONObject(java.lang.Object parsed)
                              throws MarshalException

      Description copied from class: `AbstractType`
      Given a parsed JSON string, return a byte representation of the object.
      Specified by:
        `fromJSONObject` in class `AbstractType<java.util.UUID>`
      Parameters:
        `parsed` - the result of parsing a json string
      Throws:
        `MarshalException`

    - #### getSerializer

          public TypeSerializer<java.util.UUID> getSerializer()

      Specified by:
        `getSerializer` in class `AbstractType<java.util.UUID>`

Copyright © 2018 The Apache Software Foundation